Jump to content

www.remoteshaman.com

Members
  • Posts

    3
  • Joined

  • Last visited

Contact Methods

Profile Information

  • First Name
    Remote
  • Last Name
    Shaman

Recent Profile Visitors

179 profile views

www.remoteshaman.com's Achievements

Newbie

Newbie (1/14)

  • Week One Done Rare
  • One Month Later Rare
  • One Year In Rare

Recent Badges

9

Reputation

  1. Get from github: https://github.com/PrestaShop/PrestaShop/pull/7232 https://github.com/PrestaShop/PrestaShop/blob/1.6.1.x/classes/db/DbQuery.php
  2. PHP 7 provide best performance than PHP 5. PrestaShop must be adopt for/under PHP 7!!! After fix DbQuery.php my PrestaShop 1.6.1.10 (backend and frontend) worked fine on PHP 7.1 - no php errors in php-errors.log no server errors and other errors I not find.
  3. If use PHP 7.1 for PrestaShop 1.6.x only (in 1.7.x this fixed) we have get this fatal error: [16-Dec-2016 01:15:47 Europe/Kiev] PHP Fatal error: Uncaught Error: [] operator not supported for strings in /var/www/classes/db/DbQuery.php:96 need change: protected $query = array( 'type' => 'SELECT', 'select' => array(), 'from' => '', 'join' => array(), 'where' => array(), 'group' => array(), 'having' => array(), 'order' => array(), 'limit' => array('offset' => 0, 'limit' => 0), ); to protected $query = array( 'type' => 'SELECT', 'select' => array(), 'from' => array(), 'join' => array(), 'where' => array(), 'group' => array(), 'having' => array(), 'order' => array(), 'limit' => array('offset' => 0, 'limit' => 0), );
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More